#!/bin/sh

# Copyright (c) 2007 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author:         Michal Nowak <mnowak@redhat.com> 
#
# Supported systems: RHEl 3.9 - 5.0 at least

# -- environment setup -------------

function report() {

  echo
  echo "Test case overall result: ${RESULT}"
  echo
  echo "-----[ Finishing test case ]-----"
  echo

#  exec 1>&5 2>&6

  report_result ${TEST} ${RESULT}

  exit 0

}

. /usr/bin/rhts-environment.sh

#exec 5>&1 6>&2
#exec >> "${OUTPUTFILE}" 2>&1

echo "-----[ Starting test case ]-----"

RESULT=FAIL

pidof ecryptfsd > /dev/null
if [[ "$?" -eq 1 ]]; then
  ecryptfsd
fi

# copy key to path where ecryptfsd expect it
cp -v mykey.pem /root/.ecryptfs/pki/openssl/mykey.pem

# prepare passfile.txt
echo "passwd=secret" > passfile.txt

modprobe ecryptfs
# run the core test
./openssl-keyfile.sh

if [[ "$?" -eq 0 ]]; then
  RESULT=PASS
fi

report

